#ifndef _UTIL_H_
#define _UTIL_H_

#define MSG_CRITICAL	0
#define MSG_ERROR	1
#define MSG_WARNING	2
#define MSG_NOTICE	3
#define MSG_INFO	4
#define MSG_VERBOSE	5
#define MSG_DEBUG	6
#define MSG_VDEBUG	7	/* Verbose debugging */

extern int msg_level;


extern void lowercase(char *s);
extern int parseNumber(const char *s);
extern unsigned long int FNV_hash(void * dataToHash, unsigned long int length);
extern unsigned char Pearson_hash(void *data, int len);
extern void message(int level, const char *fmt, ...);
extern unsigned int shorten2s(const int x, const int bits);
extern int extendsign(const unsigned int x, const int bits);


#endif
